View Issue Details

IDProjectCategoryView StatusLast Update
0021697mantisbtuipublic2017-01-12 12:17
ReporterjoelAssigned Tojoel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.0.0-beta.3Fixed in Version2.0.0-beta.3 
Summary0021697: Clearer distinction between private and public notes
Description

There are two issues with private vs. public notes at the moment:

  1. It is easy to forgot to tick the private the checkbox, and there is no visual hint that the note will be added as a public.
  2. The submitted notes look very similar. In the classic UI their used to be a distinction.

The private notes should have a background color that is consistent when authoring the notes and when viewing them later.

Tagsmodern-ui

Activities

joel

joel

2016-09-20 01:09

developer   ~0054043

PR: https://github.com/mantisbt/mantisbt/pull/892

vboctor

vboctor

2016-09-26 21:15

manager   ~0054074

Follow up fixes PR:
https://github.com/mantisbt/mantisbt/pull/900

Related Changesets

MantisBT: master d62f601b

2016-09-25 17:37:16

Joel C. Llano


Committer: vboctor Details Diff
Clearer distinction between private/public notes

Use a different color for private notes when being edited and viewed.

Fixes 0021697
mod - bug_change_status_page.php Diff File
mod - bugnote_add_inc.php Diff File
mod - bugnote_view_inc.php Diff File
mod - css/default.css Diff File
mod - js/common.js Diff File

MantisBT: master fd6c9c71

2016-09-26 21:11:21

vboctor

Details Diff
Be consistent with view state checkbox in notes

The view state box should also be above the text box.

Issue 0021697
mod - bug_change_status_page.php Diff File

MantisBT: master dce97746

2016-09-26 21:12:36

vboctor

Details Diff
Edit note form should use consistent background color

When editing an issue, the background color for the text area should be
consistent with the class of private vs. public notes.

Issue 0021697
mod - bugnote_edit_page.php Diff File

Issue History

Date Modified Username Field Change
2016-09-19 03:02 joel New Issue
2016-09-19 11:00 vboctor Tag Attached: modern-ui
2016-09-20 01:09 joel Note Added: 0054043
2016-09-20 12:39 atrol Assigned To => community
2016-09-20 12:39 atrol Status new => assigned
2016-09-25 17:39 vboctor Changeset attached => MantisBT master d62f601b
2016-09-25 17:39 vboctor Assigned To community => vboctor
2016-09-25 17:39 vboctor Status assigned => resolved
2016-09-25 17:39 vboctor Resolution open => fixed
2016-09-25 17:39 vboctor Fixed in Version => 2.0.0-beta.3
2016-09-25 18:40 vboctor Assigned To vboctor => community
2016-09-25 18:41 vboctor Target Version => 2.0.0-beta.3
2016-09-26 21:15 vboctor Note Added: 0054074
2016-09-29 03:31 vboctor Changeset attached => MantisBT master fd6c9c71
2016-09-29 03:31 vboctor Changeset attached => MantisBT master dce97746
2016-10-02 18:41 vboctor Status resolved => closed
2017-01-12 12:17 vboctor Assigned To community => joel